import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width /2}, ${height /2})`);

const circle = g.append('circle');

circle.attr('r', height /3);
circle.attr('fill', 'orange');
circle.attr('stroke', 'black');

const eyeSpacing = 70;
const eyeYOffset = -20;
const eyeRadius = 20;
const eyebrowWidth = 60;
const eyebrowHeight = 10;
const eyebrowYOffset = -50;


const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);
eyebrowsG
  .transition().duration(1000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 10})`)
  .transition().duration(1000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 90,
      outerRadius: 100,
      startAngle: Math.PI * 10/ 3,
      endAngle: Math.PI * 8/ 3
    }));

